{% load i18n static theme_material_kit %}


<!-- Navbar -->
<div class="container position-sticky z-index-sticky top-0">
  <div class="row">
    <div class="col-12">
      <nav
        class="navbar navbar-expand-lg  blur border-radius-xl top-0 mt-4 z-index-fixed shadow position-absolute my-3 py-2 start-0 end-0 mx-4">
        <div class="container-fluid px-0">
          <a class="navbar-brand font-weight-bolder ms-sm-3" href="/"
            rel="tooltip" title="Designed and Coded by Creative Tim" data-placement="bottom">
            <img src="{% static 'img/logo.png' %}" style="max-height:1.5rem;"/> ZuLab
          </a>
          <button class="navbar-toggler shadow-none ms-2" type="button" data-bs-toggle="collapse"
            data-bs-target="#navigation" aria-controls="navigation" aria-expanded="false"
            aria-label="Toggle navigation">
            <span class="navbar-toggler-icon mt-2">
              <span class="navbar-toggler-bar bar1"></span>
              <span class="navbar-toggler-bar bar2"></span>
              <span class="navbar-toggler-bar bar3"></span>
            </span>
          </button>
          <div class="collapse navbar-collapse pt-3 pb-2 py-lg-0 w-100" id="navigation">
            <ul class="navbar-nav navbar-nav-hover ms-auto">
              <li class="nav-item dropdown dropdown-hover mx-2">
                <a class="nav-link ps-2 d-flex cursor-pointer align-items-center" id="dropdownMenuPages"
                  data-bs-toggle="dropdown" aria-expanded="false">
                  <i class="material-icons opacity-6 me-2 text-md">dashboard</i>
                  Administración
                  <img src="{% static 'img/down-arrow-dark.svg' %}" alt="down-arrow" class="arrow ms-auto ms-md-2">
                </a>
                <div class="dropdown-menu dropdown-menu-animation ms-n3 dropdown-md p-3 border-radius-xl mt-0 mt-lg-3"
                  aria-labelledby="dropdownMenuPages">
                  <div class="d-none d-lg-block">
                    {% if request.user.username == "root" or request.user.username == "zlima"  %}
                      <h6 class="dropdown-header text-dark font-weight-bolder d-flex align-items-center px-1">
                        Usuarios
                      </h6>

                      {% admin_get_menu as app_list %}
                      {% if app_list %}
                          {% for app in app_list %}
                              {% if app.has_perms and not app.pinned %}
                                  <a href="{{ app.url }}" class="dropdown-item border-radius-md" data-bs-toggle="collapse" data-bs-target="#collapse-{{app.app_label}}" >
                                    <span>{{ app.label|slice:10 }}{% if app.label|length > 10 %}..{% endif %}</span>
                                  </a>

                                  {% if app.models %}
                                    <div class="collapse" id="collapse-{{app.app_label}}">                                                                                                   
                                      <ul class="flex-column nav">
                                        {% for model in app.models %}
                                          {% if model.url %}
                                            <li class="nav-item{% if 'bootstrap-tables' in segment or model.url in request.path|urlencode %} active {% endif %} list-unstyled">
                                              <a class="nav-link" href="{{ model.url }}">
                                                <span class="ms-5 text-dark">{{ model.label }}</span>
                                              </a>
                                            </li>
                                          {% else %}
                                            <li class="nav-item list-unstyled">{{ model.label }}</li>
                                          {% endif %}
                                        {% endfor %}
                                      </ul>
                                    </div>
                                  {% endif %}
                              {% endif %}
                          {% endfor %}
                      {% endif %} 
                    {% endif %} 

                    <h6 class="dropdown-header text-dark font-weight-bolder d-flex align-items-center px-1">
                      Catálogos
                    </h6> 
                      {% if request.user.username == "root" or request.user.username == "zlima"  %}
                      <a href="{% url 'grupoArea_listado' %}" class="dropdown-item border-radius-md">
                        <span>Áreas</span>
                      </a>
                      <a href="{% url 'grupoEstudio_listado' %}" class="dropdown-item border-radius-md">
                        <span>Grupo Estudios</span>
                      </a>
                      <a href="{% url 'estudio_listado' %}" class="dropdown-item border-radius-md">
                        <span>Estudios</span>
                      </a>
                      <a href="{% url 'turno_listado' %}" class="dropdown-item border-radius-md">
                        <span>Turnos</span>
                      </a>
                      <a href="{% url 'categoria_listado' %}" class="dropdown-item border-radius-md">
                        <span>Categorías</span>
                      </a>
                      {% endif %}
                    <a href="{% url 'profesional_listado' %}"  class="dropdown-item border-radius-md">
                      <span>Profesionales</span>
                    </a>
                    <!-- <h6 class="dropdown-header text-dark font-weight-bolder d-flex align-items-center px-1 mt-3">
                      Cuenta
                    </h6>
                    
                    {% if request.user.is_authenticated %}
                      {% if request.user.is_superuser %}
                        <a href="{% url 'admin:password_change' %}" class="dropdown-item border-radius-md">
                          <span>Cambiar Clave</span>
                        </a>
                        <a href="{% url 'admin:logout' %}" class="dropdown-item border-radius-md">
                          <span>Logout</span>
                        </a>
                      {% else %}
                        <a href="{% url 'password_change' %}" class="dropdown-item border-radius-md">
                          <span>Cambiar Clave</span>
                        </a>
                        <a href="{% url 'logout' %}" class="dropdown-item border-radius-md">
                          <span>Logout</span>
                        </a>
                      {% endif %}
                    {% else %}
                    <a href="{% url 'login' %}" class="dropdown-item border-radius-md">
                      <span>Ingresar</span>
                    </a> 
                    {% endif %} -->
                  </div>

                  <div class="d-lg-none">
                    <h6 class="dropdown-header text-dark font-weight-bolder d-flex align-items-center px-1">
                      Administración
                    </h6>
                    {% if request.user.is_superuser %}
                    <a href="{% url 'admin:index' %}" class="dropdown-item border-radius-md">
                    {% else %}
                      <a href="/" class="dropdown-item border-radius-md">
                    {% endif %}
                      <span>Zulab-Admin</span>
                    </a>
                    <h6 class="dropdown-header text-dark font-weight-bolder d-flex align-items-center px-1">
                      Catálogos
                    </h6>
                      {% if request.user.username == "root" or request.user.username == "zlima"  %}
                      <a href="{% url 'grupoArea_listado' %}" class="dropdown-item border-radius-md">
                        <span>Áreas</span>
                      </a>
                      <a href="{% url 'grupoEstudio_listado' %}" class="dropdown-item border-radius-md">
                        <span>Grupo Estudios</span>
                      </a>
                      <a href="{% url 'estudio_listado' %}" class="dropdown-item border-radius-md">
                        <span>Estudios</span>
                      </a>
                      <a href="{% url 'turno_listado' %}" class="dropdown-item border-radius-md">
                        <span>Turnos</span>
                      </a>
                      <a href="{% url 'categoria_listado' %}"  class="dropdown-item border-radius-md">
                        <span>Categorías</span>
                      </a>
                      {% endif %}
                    <a href="{% url 'profesional_listado' %}"  class="dropdown-item border-radius-md">
                      <span>Profesionales</span>
                    </a>
                    <!-- <h6 class="dropdown-header text-dark font-weight-bolder d-flex align-items-center px-1 mt-3">
                      Cuenta
                    </h6>

                    {% if request.user.is_authenticated %}
                    
                      {% if request.user.is_superuser %}
                        <a href="{% url 'admin:password_change' %}" class="dropdown-item border-radius-md">
                          <span>Cambiar clave</span>
                        </a>
                        <a href="{% url 'admin:logout' %}" class="dropdown-item border-radius-md">
                          <span>Logout</span>
                        </a>
                      {% else %}
                        <a href="{% url 'password_change' %}" class="dropdown-item border-radius-md">
                          <span>Cambiar clave</span>
                        </a>
                        <a href="{% url 'logout' %}" class="dropdown-item border-radius-md">
                          <span>Logout</span>
                        </a>
                      {% endif %}
                    {% else %}
                    <a href="{% url 'login' %}" class="dropdown-item border-radius-md">
                      <span>Ingresar</span>
                    </a> 
                    {% endif %} -->

                  </div>

                </div>
              </li>

              {% comment %} <li class="nav-item dropdown dropdown-hover mx-2">
                <a class="nav-link ps-2 d-flex cursor-pointer align-items-center" id="dropdownMenuBlocks"
                  data-bs-toggle="dropdown" aria-expanded="false">
                  <i class="material-icons opacity-6 me-2 text-md">view_day</i>
                  Reportes
                  <img src="{% static 'img/down-arrow-dark.svg' %}" alt="down-arrow" class="arrow ms-auto ms-md-2">
                </a>
                <ul
                  class="dropdown-menu dropdown-menu-end dropdown-menu-animation dropdown-md dropdown-md-responsive p-3 border-radius-lg mt-0 mt-lg-3"
                  aria-labelledby="dropdownMenuBlocks">
                  <div class="d-none d-lg-block">
                    <li class="nav-item dropdown dropdown-hover dropdown-subitem">
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'presentation' %}">
                        <div class="w-100 d-flex align-items-center justify-content-between">
                          <div>
                            <h6
                              class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                              Emergencias</h6> 
                          </div>
                          <img src="{% static 'img/down-arrow.svg' %}" alt="down-arrow" class="arrow">
                        </div>
                      </a>
                      <div class="dropdown-menu mt-0 py-3 px-2 mt-3">
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'page_header' %}">
                          Turno Mañana
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Tarde
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Noche
                        </a>
                      </div>
                    </li>

                    <li class="nav-item dropdown dropdown-hover dropdown-subitem">
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'presentation' %}">
                        <div class="w-100 d-flex align-items-center justify-content-between">
                          <div>
                            <h6
                              class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                              U.T.I.</h6>
                            <span class="text-sm">Unidad de Terapia Intensiva</span>
                          </div>
                          <img src="{% static 'img/down-arrow.svg' %}" alt="down-arrow" class="arrow">
                        </div>
                      </a>
                      <div class="dropdown-menu mt-0 py-3 px-2 mt-3">
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'page_header' %}">
                          Turno Mañana
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Tarde
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Noche
                        </a>
                      </div>
                    </li>

                    <li class="nav-item dropdown dropdown-hover dropdown-subitem">
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'presentation' %}">
                        <div class="w-100 d-flex align-items-center justify-content-between">
                          <div>
                            <h6
                              class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                              Cirugía</h6>
                          </div>
                          <img src="{% static 'img/down-arrow.svg' %}" alt="down-arrow" class="arrow">
                        </div>
                      </a>
                      <div class="dropdown-menu mt-0 py-3 px-2 mt-3">
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'page_header' %}">
                          Turno Mañana
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Tarde
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Noche
                        </a>
                      </div>
                    </li>

                    <li class="nav-item dropdown dropdown-hover dropdown-subitem">
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'presentation' %}">
                        <div class="w-100 d-flex align-items-center justify-content-between">
                          <div>
                            <h6
                              class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                              Cardioloía</h6> 
                          </div>
                          <img src="{% static 'img/down-arrow.svg' %}" alt="down-arrow" class="arrow">
                        </div>
                      </a>
                      <div class="dropdown-menu mt-0 py-3 px-2 mt-3">
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'page_header' %}">
                          Turno Mañana
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Tarde
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Noche
                        </a>
                      </div>
                    </li>

                    <li class="nav-item dropdown dropdown-hover dropdown-subitem">
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'presentation' %}">
                        <div class="w-100 d-flex align-items-center justify-content-between">
                          <div>
                            <h6
                              class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                              Neumología</h6> 
                          </div>

                          <img src="{% static 'img/down-arrow.svg' %}" alt="down-arrow" class="arrow">
                        </div>
                      </a>
                      <div class="dropdown-menu mt-0 py-3 px-2 mt-3">
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'page_header' %}">
                          Turno Mañana
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Tarde
                        </a>
                        <a class="dropdown-item ps-3 border-radius-md mb-1"
                          href="{% url 'features' %}">
                          Turno Noche
                        </a>
                      </div>
                    </li>
                  </div> 
                  <div class="row d-lg-none">
                    <div class="col-md-12">
                      <div class="d-flex mb-2">
                      </div>
                      <a class="dropdown-item ps-3 border-radius-md mb-1"
                        href="{% url 'page_header' %}">
                        Emergencias
                      </a>
                      <a class="dropdown-item ps-3 border-radius-md mb-1" href="{% url 'features' %}">
                        U.T.I.
                      </a>
                      <a class="dropdown-item ps-3 border-radius-md mb-1" href="{% url 'features' %}">
                        Cirugía
                      </a>
                      <a class="dropdown-item ps-3 border-radius-md mb-1" href="{% url 'features' %}">
                        Cardiología
                      </a>
                      <a class="dropdown-item ps-3 border-radius-md mb-1" href="{% url 'features' %}">
                        Numología
                      </a>
                      <a class="dropdown-item ps-3 border-radius-md mb-1" href="{% url 'features' %}">
                        C. Externa
                      </a>  
                    </div>
                  </div> 
                </ul>
              </li> {% endcomment %}

              <li class="nav-item ms-lg-auto">
                <a class="nav-link nav-link-icon me-2" href="{% url 'chart_solicitudes' %}" id="dropdownMenuDocs">
                  <i class="material-icons opacity-6 me-2 text-md">article</i>
                  <p class="d-inline text-sm z-index-1 font-weight-bold" data-bs-toggle="tooltip"
                    data-bs-placement="bottom" title="graficas">Gráficas</p>
                </a>
              </li>

              {% comment %} <li class="nav-item dropdown dropdown-hover mx-2">
                <a class="nav-link ps-2 d-flex cursor-pointer align-items-center" id="dropdownMenuDocs"
                  data-bs-toggle="dropdown" aria-expanded="false">
                  <i class="material-icons opacity-6 me-2 text-md">article</i>
                  Gráficas
                  <img src="{% static 'img/down-arrow-dark.svg' %}" alt="down-arrow" class="arrow ms-auto ms-md-2">
                </a>
                <ul
                  class="dropdown-menu dropdown-menu-end dropdown-menu-animation dropdown-md dropdown-md-responsive mt-0 mt-lg-3 p-3 border-radius-lg"
                  aria-labelledby="dropdownMenuDocs">
                  <div class="d-none d-lg-block">
                    <ul class="list-group">
                      <li class="nav-item list-group-item border-0 p-0">
                        <a class="dropdown-item py-2 ps-3 border-radius-md"
                            href="{% url 'chart_solicitudes' %}">
                          <h6
                            class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0"
                            style="color:blue;">
                            Solicitudes</h6> 
                        </a>
                      </li>
                      <li class="nav-item list-group-item border-0 p-0">
                        <a class="dropdown-item py-2 ps-3 border-radius-md"
                          href="#">
                          <h6
                            class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                            Paciente ingreso</h6> 
                        </a>
                      </li>
                      <li class="nav-item list-group-item border-0 p-0">
                        <a class="dropdown-item py-2 ps-3 border-radius-md"
                          href="#">
                          <h6
                            class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                            Toma de muestras</h6> 
                        </a>
                      </li>
                      <li class="nav-item list-group-item border-0 p-0">
                        <a class="dropdown-item py-2 ps-3 border-radius-md"
                          href="#">
                          <h6
                            class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                            Química sanguinea</h6> 
                        </a>
                      </li>
                      <li class="nav-item list-group-item border-0 p-0">
                        <a class="dropdown-item py-2 ps-3 border-radius-md"
                          href="#">
                          <h6
                            class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                            Hematología</h6> 
                        </a>
                      </li>
                      <li class="nav-item list-group-item border-0 p-0">
                        <a class="dropdown-item py-2 ps-3 border-radius-md"
                          href="#">
                          <h6
                            class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                            Hemostasia</h6> 
                        </a>
                      </li>
                      <li class="nav-item list-group-item border-0 p-0">
                        <a class="dropdown-item py-2 ps-3 border-radius-md"
                          href="#">
                          <h6
                            class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                            Hexsudados / Transudados</h6> 
                        </a>
                      </li>
                      <li class="nav-item list-group-item border-0 p-0">
                        <a class="dropdown-item py-2 ps-3 border-radius-md"
                          href="#">
                          <h6
                            class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                            Inmunología</h6> 
                        </a>
                      </li>
                    </ul>
                  </div>

                  <div class="row d-lg-none">
                    <div class="col-md-12 g-0">
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'chart_solicitudes' %}">
                        <h6
                          class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                          Solicitudes</h6> 
                      </a>

                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="#">
                        <h6
                          class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                          Paciente ingreso</h6> 
                      </a>

                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="#">
                        <h6
                          class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                          Toma de muestras</h6> 
                      </a>

                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="#">
                        <h6
                          class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                          Química sanguinea</h6>
                      </a>

                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'about-us' %}">
                        <h6
                          class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                          Hematología</h6>
                      </a>
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'about-us' %}">
                        <h6
                          class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                          Hemostasia</h6>
                      </a>
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'about-us' %}">
                        <h6
                          class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                          Hexsudados / Transudados</h6>
                      </a>
                      <a class="dropdown-item py-2 ps-3 border-radius-md" href="{% url 'about-us' %}">
                        <h6
                          class="dropdown-header text-dark font-weight-bolder d-flex justify-content-cente align-items-center p-0">
                          Inmunología</h6>
                      </a>
                    </div>
                  </div>

                </ul>
              </li> {% endcomment %}
              {% if request.user.is_authenticated %}
              <li class="nav-item ms-lg-auto">
                <a class="nav-link nav-link-icon me-2" href="{% url 'logout' %}">
                  <i class="fa fa-sign-out me-1"></i>
                  <p class="d-inline text-sm z-index-1 font-weight-bold" data-bs-toggle="tooltip"
                    data-bs-placement="bottom" title="Logout">Logout</p>
                </a>
              </li>
              {% else %}
              <li class="nav-item ms-lg-auto">
                <a class="nav-link nav-link-icon me-2" href="{% url 'login' %}">
                  <i class="fa fa-sign-in me-1"></i>
                  <p class="d-inline text-sm z-index-1 font-weight-bold" data-bs-toggle="tooltip"
                    data-bs-placement="bottom" title="Logout">Logout</p>
                </a>
              </li>
              {% endif %}
              <li class="nav-item my-auto ms-3 ms-lg-0">
                <a href="{% url 'planillas' %}"
                  class="btn btn-sm  bg-gradient-primary  mb-0 me-1 mt-2 mt-md-0">Planillas</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>
      <!-- End Navbar -->
    </div>
  </div>
</div>